Bug 1124135 - [RFE][tripleo]: Enable parallel builds using diskimage-builder
Summary: [RFE][tripleo]: Enable parallel builds using diskimage-builder
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/trip...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 04:05 UTC by RHOS Integration
Modified: 2016-04-22 04:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 16:49:25 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-29 04:05:17 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/tripleo/+spec/tripleo-diskimage-builder-parallel-builds.

Description:

Background:
Currently if you run parallel builds for diskimage-builder on a system the builds fail, because the diskimage-builder uses the common “~/.cache/image-create” directory to cache OS image files, git repositories, Python or Ruby packages etc. to create the images.

Proposal:
If we want to enable parallel builds, then we need to identify and tie the builds to the correct “~/.cache/image-create” folder. To do this we can use mktemp and let diskimage-builder use this directory as the cache directory instead of “DIB_IMAGE_CACHE” (~/.cache/image-create).

    export CACHE_DIR=$(mktemp -d ~/.cache/image-create.XXXXXXXX)

This will create the "~/.cache/image-create.XXXXXXXX" directory and let the diskimage-builder use it for its respective builds.

Also, to enable diskimage-builder to build with the correct "~/.cache/image-create.XXXXXXXX" directory for “--offline” mode; the script should force the user to specify the respective “image-create.XXXXXXXX” folder to refer to for the build.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.